Bug 471255 - prevent extremely loud login sound
prevent extremely loud login sound
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libcanberra (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 12:13 EST by jmccann
Modified: 2015-01-14 18:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:49:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2008-11-12 12:13:46 EST
I just logged into an account for a user that I haven't used in a while (or ever maybe) and was assaulted with an extremely loud login sound.  This is probably never what we want to happen.  

The login sound is a bit different than other system sounds because the user doesn't have a change to adjust the volume level before it is played.

How can we be a bit smarter about this?  Is calling paplay --volume 32768 enough?
Comment 1 Bug Zapper 2008-11-26 00:15:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lennart Poettering 2008-12-08 18:07:26 EST
I see no good way to fix this except ALSA providing better default mixer initialization. So this is an ALSA bug. I think there is already a bug reported about that, too lazy to find it.
Comment 3 Ed Young 2009-06-27 05:42:34 EDT
This really irritated me for a while too.  The fix:

    Go to:
        System -> Preferences -> Sound 

    Adjust the "Alert Volume".

You can reduce the login chime to a pleasant level.

Perhaps it would be good practice to preset the "Alert Volume" level to 50% for new users?  It took me days to figure this out.  And I've been using Gnome for 10 years.
Comment 4 Bug Zapper 2009-11-18 03:50:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:49:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.